[Pkg-ganeti-devel] [SCM] Instance debootstrap packaging branch, master, updated. debian/0.9-1-2-g5a4e427

Iustin Pop iustin at debian.org
Wed Sep 15 19:19:31 UTC 2010


The following commit has been merged in the master branch:
commit 94f58d0e1ec24232cbcbc3b1368acfb250808b4c
Author: Iustin Pop <iustin at debian.org>
Date:   Sun Sep 12 19:52:38 2010 +0200

    New release 0.9-2

diff --git a/debian/changelog b/debian/changelog
index 47db2e5..f020dcf 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+ganeti-instance-debootstrap (0.9-2) unstable; urgency=low
+
+  * Add a hook for fixing Xen PVM console issues (Closes: #596009)
+  * Add a hook to set the root account to no password, to allow the
+    initial login to proceed
+
+ -- Iustin Pop <iustin at debian.org>  Sun, 12 Sep 2010 19:51:57 +0200
+
 ganeti-instance-debootstrap (0.9-1) unstable; urgency=low
 
   * New Upstream version
diff --git a/debian/control b/debian/control
index 05e3d55..a75fa2a 100644
--- a/debian/control
+++ b/debian/control
@@ -11,7 +11,7 @@ Vcs-Git: git://git.debian.org/pkg-ganeti/instance-debootstrap.git
 
 Package: ganeti-instance-debootstrap
 Architecture: all
-Depends: ${misc:Depends}, debootstrap, dump, kpartx
+Depends: ${misc:Depends}, debootstrap, dump, kpartx, initscripts
 Conflicts: ganeti (<< 1.2.7)
 Enhances: ganeti
 Description: debootstrap-based instance OS definition for ganeti
diff --git a/debian/hooks/clear-root-password b/debian/hooks/clear-root-password
new file mode 100755
index 0000000..2b083cb
--- /dev/null
+++ b/debian/hooks/clear-root-password
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+# Make sure we're not working on the root directory
+if [ -z "$TARGET" -o "$TARGET" = "/" ]; then
+    echo "Invalid target directory '$TARGET', aborting." 1>&2
+    exit 1
+fi
+
+if [ "$(mountpoint /)" = "$(mountpoint "$TARGET")" ]; then
+    echo "The target directory seems to be the root dir, aborting."  1>&2
+    exit 1
+fi
+
+# Disable root's password, as the switch to enable shadow by default
+# has left root with a disabled password, preventing the initial login
+echo "Disabling root's password"
+chroot "$TARGET" passwd -d root
+
+exit 0
diff --git a/debian/hooks/xen-hvc0 b/debian/hooks/xen-hvc0
new file mode 100755
index 0000000..416f19d
--- /dev/null
+++ b/debian/hooks/xen-hvc0
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+# Make sure we're not working on the root directory
+if [ -z "$TARGET" -o "$TARGET" = "/" ]; then
+    echo "Invalid target directory '$TARGET', aborting." 1>&2
+    exit 1
+fi
+
+if [ "$(mountpoint /)" = "$(mountpoint "$TARGET")" ]; then
+    echo "The target directory seems to be the root dir, aborting."  1>&2
+    exit 1
+fi
+
+# Fix the console information for xen-pvm mode
+if [ "$HYPERVISOR" = "xen-pvm" ]; then
+    echo "xen-pvm hypervisor detected, adding getty on hvc0"
+    cat >> "$TARGET"/etc/inittab <<EOF
+hvc0:2345:respawn:/sbin/getty 38400 hvc0
+EOF
+fi
+
+exit 0
diff --git a/debian/install b/debian/install
new file mode 100644
index 0000000..0f4cbb0
--- /dev/null
+++ b/debian/install
@@ -0,0 +1 @@
+debian/hooks/* etc/ganeti/instance-debootstrap/hooks/

-- 
Instance debootstrap packaging



More information about the Pkg-ganeti-devel mailing list